Hah! Don't Believe Disabled Rated 5 out of 5 stars

After latest download, I was told my favorite Qute 3+++ was incompatible and disabled. I returned here and installed it again. Even in Firefox 16.01, it works! Hah!

This review is for a previous version of the add-on (1.16).